# Webhooks

Webhooks allow you to receive programatic data about various events related to your White Swan account. Returned data can then be stored or used to trigger other workflows and experiences.

In this section, we will cover [how to create and manage webhooks](/partner-knowledge-base/api-documentation/webhooks/creating-managing-webhooks.md) as well as specifications on each event available for webhooks:

* [New Plan Request Started](/partner-knowledge-base/api-documentation/webhooks/new-plan-request-started.md)
* [Plan Request Finished](/partner-knowledge-base/api-documentation/webhooks/plan-request-finished.md)
* [New Personal Plan](/partner-knowledge-base/api-documentation/webhooks/new-personal-plan.md)
* [New Change Request](/partner-knowledge-base/api-documentation/webhooks/new-change-request.md)
* [New Application Started](/partner-knowledge-base/api-documentation/webhooks/new-application-started.md)
* [Application Finished](/partner-knowledge-base/api-documentation/webhooks/application-finished.md)
* [New Plan Offered](/partner-knowledge-base/api-documentation/webhooks/new-plan-offered.md)
* [New Plan Delivered](/partner-knowledge-base/api-documentation/webhooks/new-plan-delivered.md)
* [New Earnings Event](/partner-knowledge-base/api-documentation/webhooks/payout-events.md)

If you're looking for a simpler approach of working with webhooks, you can use our [Zapier Triggers](/partner-knowledge-base/zapier-integration/triggers.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whiteswan.io/partner-knowledge-base/api-documentation/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
